iPad/iPhone Crashes When Attempting To Play

To utilise the newer and improved My5 app, you will require a minimum of iOS 9 on your iPad or iPhone device.